Bug 438552

Summary: With Translucency effect, applications can not be focused anymore and leave a ghost when switching virtual desktops
Product: [Plasma] kwin Reporter: Martin van Es <bugs>
Component: effects-variousAssignee: KWin default assignee <kwin-bugs-null>
Status: CLOSED FIXED    
Severity: normal CC: awesomenessz, ciberguerra, ddascalescu+kde, guorongfei, jchevarley, joseskvolpe, kde, kde, kevinfdezdominguez, micleidon, nate, Paddlaren, paul, psamaras1, rockybulwinkle, slartibart70, tbondvagyok, torokati44
Priority: VHI Keywords: regression
Version: 5.22.0   
Target Milestone: ---   
Platform: Ubuntu   
OS: Linux   
See Also: https://bugs.kde.org/show_bug.cgi?id=439815
https://bugs.kde.org/show_bug.cgi?id=451825
Latest Commit: Version Fixed In:
Attachments: Ghost Image

Description Martin van Es 2021-06-13 13:39:05 UTC
Since the upgrade to 5.22 kwin sometimes fails to correctly redraw application when switching desktop. It's hard to describe, but it looks like kwin tries to focus the new window under cursor, then fails. The window stays transparent and can not be focussed anymore. When closing the application a ghost of the application is left behind on all desktops.


The only work-around is starting "kwin --repace &"

STEPS TO REPRODUCE
1. Upgrade to 5.22
2. Switch desktop (glide)
3. Focus window

OBSERVED RESULT
The focussed application can not be activated. Closing it leaves a ghost.

EXPECTED RESULT
Focusing the application focusses the application, closing it doesn't leave a ghost.

Operating System: Kubuntu 21.04
KDE Plasma Version: 5.22.0
KDE Frameworks Version: 5.82.0
Qt Version: 5.15.2
Kernel Version: 5.12.10 (64-bit)
Graphics Platform: X11
Processors: 8 × Intel® Core™ i7-10510U CPU @ 1.80GHz
Memory: 31.2 GiB of RAM
Graphics Processor: Mesa Intel® UHD Graphics
Comment 1 Martin van Es 2021-06-14 05:47:21 UTC
It turns out, I don't need to swith desktops to illicit the behaviour. Gaining focus seem to be the trigger when another window (filesave dialog e.g.) closes.

These bugs seem related?
https://bugs.kde.org/show_bug.cgi?id=416219
and less https://bugs.kde.org/show_bug.cgi?id=364647
Comment 2 Martin van Es 2021-06-14 08:19:34 UTC
Disabling and re-enabling the compositor (by short-cut keys) is also a very lightweight work-around for now. So I guess it's probably one of the effects that's rearing it's ugly head?
Comment 3 agapito 2021-06-14 09:26:55 UTC
Since Plasma 5.22 i have this problem too, watching undocked videos in Firefox.
Comment 4 Martin van Es 2021-06-15 12:23:00 UTC
Disabling transluceny seems to fix the problem.
Comment 5 Vlad Zahorodnii 2021-06-25 10:57:50 UTC
Can you please post the output of `qdbus org.kde.KWin /KWin supportInformation`?
Comment 6 Martin van Es 2021-06-25 11:02:20 UTC
$ qdbus org.kde.KWin /KWin supportInformation
KWin Support Information:
The following information should be used when requesting support on e.g. https://forum.kde.org.
It provides information about the currently running instance, which options are used,
what OpenGL driver and which effects are running.
Please post the information provided underneath this introductory text to a paste bin service
like https://paste.kde.org instead of pasting into support threads.

==========================

Version
=======
KWin version: 5.22.1
Qt Version: 5.15.2
Qt compile version: 5.15.2
XCB compile version: 1.14

Operation Mode: X11 only

Build Options
=============
KWIN_BUILD_DECORATIONS: yes
KWIN_BUILD_TABBOX: yes
KWIN_BUILD_ACTIVITIES: yes
HAVE_DRM: yes
HAVE_GBM: yes
HAVE_EGL_STREAMS: yes
HAVE_X11_XCB: yes
HAVE_EPOXY_GLX: yes
HAVE_WAYLAND_EGL: yes

X11
===
Vendor: The X.Org Foundation
Vendor Release: 12011000
Protocol Version/Revision: 11/0
SHAPE: yes; Version: 0x11
RANDR: yes; Version: 0x14
DAMAGE: yes; Version: 0x11
Composite: yes; Version: 0x4
RENDER: yes; Version: 0xb
XFIXES: yes; Version: 0x50
SYNC: yes; Version: 0x31
GLX: yes; Version: 0x0

Decoration
==========
Plugin: org.kde.breeze
Theme: 
Plugin recommends border size: None
Blur: 0
onAllDesktopsAvailable: true
alphaChannelSupported: true
closeOnDoubleClickOnMenu: false
decorationButtonsLeft: 0
decorationButtonsRight: 3, 4, 5
borderSize: 0
gridUnit: 10
font: Ubuntu,10,-1,5,75,0,0,0,0,0,Bold
smallSpacing: 2
largeSpacing: 10

Platform
==========
Name: KWin::X11StandalonePlatform

Cursor
======
themeName: breeze_cursors
themeSize: 24

Options
=======
focusPolicy: 1
xwaylandCrashPolicy: 
xwaylandMaxCrashCount: 3
nextFocusPrefersMouse: true
clickRaise: true
autoRaise: false
autoRaiseInterval: 0
delayFocusInterval: 300
shadeHover: false
shadeHoverInterval: 250
separateScreenFocus: false
placement: 4
focusPolicyIsReasonable: true
borderSnapZone: 10
windowSnapZone: 10
centerSnapZone: 0
snapOnlyWhenOverlapping: false
rollOverDesktops: false
focusStealingPreventionLevel: 2
operationTitlebarDblClick: 5000
operationMaxButtonLeftClick: 5000
operationMaxButtonMiddleClick: 5015
operationMaxButtonRightClick: 5014
commandActiveTitlebar1: 0
commandActiveTitlebar2: 0
commandActiveTitlebar3: 2
commandInactiveTitlebar1: 4
commandInactiveTitlebar2: 4
commandInactiveTitlebar3: 2
commandWindow1: 7
commandWindow2: 8
commandWindow3: 8
commandWindowWheel: 28
commandAll1: 10
commandAll2: 3
commandAll3: 14
keyCmdAllModKey: 16777250
showGeometryTip: false
condensedTitle: false
electricBorderMaximize: false
electricBorderTiling: false
electricBorderCornerRatio: 0.25
borderlessMaximizedWindows: false
killPingTimeout: 5000
hideUtilityWindowsForInactive: true
compositingMode: 1
useCompositing: true
hiddenPreviews: 1
glSmoothScale: 1
xrenderSmoothScale: false
glStrictBinding: true
glStrictBindingFollowsDriver: true
glCoreProfile: true
glPreferBufferSwap: 101
glPlatformInterface: 1
windowsBlockCompositing: false
latencyPolicy: 
renderTimeEstimator: 

Screen Edges
============
desktopSwitching: false
desktopSwitchingMovingClients: true
cursorPushBackDistance: 1x1
timeThreshold: 250
reActivateThreshold: 350
actionTopLeft: 0
actionTop: 0
actionTopRight: 0
actionRight: 0
actionBottomRight: 0
actionBottom: 0
actionBottomLeft: 0
actionLeft: 0

Screens
=======
Multi-Head: no
Active screen follows mouse:  yes
Number of Screens: 1

Screen 0:
---------
Name: eDP-1
Geometry: 0,0,1920x1080
Scale: 1
Refresh Rate: 60.023

Compositing
===========
Compositing is active
Compositing Type: OpenGL
OpenGL vendor string: Intel
OpenGL renderer string: Mesa Intel(R) UHD Graphics (CML GT2)
OpenGL version string: 4.6 (Compatibility Profile) Mesa 21.0.1
OpenGL platform interface: GLX
OpenGL shading language version string: 4.60
Driver: Intel
GPU class: Comet Lake
OpenGL version: 4.6
GLSL version: 4.60
Mesa version: 21.0.1
X server version: 1.20.11
Linux kernel version: 5.12.12
Direct rendering: Requires strict binding: yes
GLSL shaders:  yes
Texture NPOT support:  yes
Virtual Machine:  no
OpenGL 2 Shaders are used

Loaded Effects:
---------------
kwin4_effect_fullscreen
kwin4_effect_sessionquit
kwin4_effect_fadingpopups
kwin4_effect_logout
kwin4_effect_frozenapp
kwin4_effect_morphingpopups
kwin4_effect_login
kwin4_effect_fade
kwin4_effect_dialogparent
slidingpopups
slide
screenshot
magiclamp
diminactive
desktopgrid
colorpicker
wobblywindows
presentwindows
highlightwindow
startupfeedback
kscreen

Currently Active Effects:
-------------------------
diminactive

Effect Settings:
----------------
kwin4_effect_fullscreen:
pluginId: kwin4_effect_fullscreen
isActiveFullScreenEffect: false

kwin4_effect_sessionquit:
pluginId: kwin4_effect_sessionquit
isActiveFullScreenEffect: false

kwin4_effect_fadingpopups:
pluginId: kwin4_effect_fadingpopups
isActiveFullScreenEffect: false

kwin4_effect_logout:
pluginId: kwin4_effect_logout
isActiveFullScreenEffect: false

kwin4_effect_frozenapp:
pluginId: kwin4_effect_frozenapp
isActiveFullScreenEffect: false

kwin4_effect_morphingpopups:
pluginId: kwin4_effect_morphingpopups
isActiveFullScreenEffect: false

kwin4_effect_login:
pluginId: kwin4_effect_login
isActiveFullScreenEffect: false

kwin4_effect_fade:
pluginId: kwin4_effect_fade
isActiveFullScreenEffect: false

kwin4_effect_dialogparent:
pluginId: kwin4_effect_dialogparent
isActiveFullScreenEffect: false

slidingpopups:
slideInDuration: 150
slideOutDuration: 250

slide:
duration: 500
horizontalGap: 0
verticalGap: 0
slideDocks: false
slideBackground: false

screenshot:

magiclamp:

diminactive:
dimStrength: 50
dimPanels: false
dimDesktop: false
dimKeepAbove: false
dimByGroup: true
dimFullScreen: true

desktopgrid:
zoomDuration: 300
border: 0
desktopNameAlignment: 0
layoutMode: 1
customLayoutRows: 2
usePresentWindows: false

colorpicker:

wobblywindows:
stiffness: 0.15
drag: 0.8
moveFactor: 0.1
xTesselation: 20
yTesselation: 20
minVelocity: 0
maxVelocity: 1000
stopVelocity: 0.5
minAcceleration: 0
maxAcceleration: 1000
stopAcceleration: 0.5
moveWobble: true
resizeWobble: true

presentwindows:
layoutMode: 1
showCaptions: true
showIcons: true
doNotCloseWindows: false
ignoreMinimized: false
accuracy: 20
fillGaps: true
fadeDuration: 150
showPanel: true
leftButtonWindow: 1
rightButtonWindow: 2
middleButtonWindow: 0
leftButtonDesktop: 2
middleButtonDesktop: 0
rightButtonDesktop: 0

highlightwindow:

startupfeedback:
type: 3

kscreen:


Loaded Plugins:
---------------
kwin5_plugin_krunner
kwin5_plugin_nightcolor

Available Plugins:
------------------
kwin5_plugin_colord
kwin5_plugin_krunner
kwin5_plugin_nightcolor
Comment 7 alancio 2021-07-14 02:20:15 UTC
(In reply to Martin van Es from comment #4)
> Disabling transluceny seems to fix the problem.

Thanks for sharing this, what an annoying bug this is.
Comment 8 Vlad Zahorodnii 2021-07-19 08:21:32 UTC
(In reply to alancio from comment #7)
> (In reply to Martin van Es from comment #4)
> > Disabling transluceny seems to fix the problem.
> 
> Thanks for sharing this, what an annoying bug this is.

We know that the translucency effect has caused problems in the past. Do you use the translucency effect with custom settings?
Comment 9 Martin van Es 2021-07-19 08:50:11 UTC
I'm not sure if I understand: When I enable Translucency, it has settings and I adjusted the two upper translucency values (Inactive and Moving windows) to be slightly less than max. Is that custom?
Comment 10 Vlad Zahorodnii 2021-07-19 08:54:12 UTC
(In reply to Martin van Es from comment #9)
> I'm not sure if I understand: When I enable Translucency, it has settings
> and I adjusted the two upper translucency values (Inactive and Moving
> windows) to be slightly less than max. Is that custom?

Yes, they are. Anything that's not default can be considered "custom" :)
Comment 11 Paul Elliott 2021-07-21 10:35:09 UTC
+1 On this with the latest KDE Manjaro - also more reports from the Manjaro community.

I can confirm I have custom translucency settings as well (along with some Kvantum customisation) - just occasionally I can get it to happen just with the hamburger menu from an application rather than the application itself.

I also note that when it happens my translucency settings appear to not be properly implemented, as in active windows can also be translucent, when they should not be. Another noticable effect when it gets particularly bad is that a closed window will re-appear after closing (after whatever effect has finished) but only in the background, and on all desktops.

Also confirm that compositor reset fixes everything, but I am getting this happening 2-3 times a day.
Comment 12 Petros 2021-08-12 23:18:12 UTC
Original report is with Intel video driver.

Is it the same driver for the rest of the confirmed cases?

Also, check if the modesetting module is used instead of intel.

There is a similar report in Garuda forum.

Archwiki has a similar troubleshooting https://wiki.archlinux.org/title/Intel_graphics#DRI3_issues , suggesting a drop to DRI2.
Comment 13 Paul Elliott 2021-08-14 10:32:32 UTC
I am seeing this with Nvidia proprietary driver, as are others. I don’t think this is an Intel specific issue.
Comment 14 Nate Graham 2021-08-17 18:18:55 UTC
Reducing priority as it only affects people with custom settings for effect. :) Still, we should fix it.
Comment 15 Martin van Es 2021-08-17 18:30:48 UTC
I noticed defaults don't set a transparency for inactive windows. The odds of something going bad while (in)activating windows when using the desktop are MUCH higher then when only moving a window (the default) I'd say. At least for me.
So I don't think it's the changed setting, it's the increase of transparency events, due to the changed setting, imho.
Comment 16 rockybulwinkle 2021-08-18 22:52:57 UTC
I'm seeing this bug too. I reset all the settings in the GUI (clicked "Defaults" then "Apply" in the desktop effects system settings) and then enabled wobbly windows. I didn't touch any other desktop effects settings.

I'm still seeing the bug that Martin describes occasionally. I just had it happen with a firefox popup (for a noVNC session. I am experiencing the problem on my local computer, not the remote vnc computer, just to be clear).

My system is Arch Linux and is up to date as of a day or two ago, though I started seeing the issue around a month ago, maybe 2...

Here's the output of that "support information" command:
https://pastebin.com/Rb7DaTPN
Comment 17 Martin van Es 2021-08-23 15:10:26 UTC
I just broke a window using default transparency setting, as predicted. It took a lot longer than with having inactive windows transparant, but it did happen eventually.
Comment 18 Nate Graham 2021-08-23 19:18:06 UTC
*** Bug 441379 has been marked as a duplicate of this bug. ***
Comment 19 Nate Graham 2021-08-29 19:51:56 UTC
*** Bug 440965 has been marked as a duplicate of this bug. ***
Comment 20 Andrew Simmons 2021-09-02 01:30:39 UTC
I've also been experiencing this issue with the default Translucency settings. 

Disabling the Translucency effect made my glitched window disappear. I've had this glitched window effect happen with at least Firefox, Chromium, Slack, and Dolphin (likely just because these are some of my highest use applications). It seems to happen every 1 to 2 days.

I think it generally occurs when either dragging or maximizing (by dragging to the top of the screen) a window.

Operating System: Arch
KDE Plasma Version: 5.22.4-1
KDE Frameworks Version: 5.85.0-2
Qt Version: 5.15.2
Kernel Version: 5.13.13 (64-bit)
Graphics Platform: X11
Processors: 8 × Intel® Core™ i7-10510U CPU @ 1.80GHz
Memory: 16 GiB RAM
Graphics Processor: AMD Radeon RX 570
Graphics Driver: amdgpu

$ qdbus org.kde.KWin /KWin supportInformation
KWin Support Information:
The following information should be used when requesting support on e.g. https://forum.kde.org.
It provides information about the currently running instance, which options are used,
what OpenGL driver and which effects are running.
Please post the information provided underneath this introductory text to a paste bin service
like https://paste.kde.org instead of pasting into support threads.

==========================

Version
=======
KWin version: 5.22.4
Qt Version: 5.15.2
Qt compile version: 5.15.2
XCB compile version: 1.14

Operation Mode: X11 only

Build Options
=============
KWIN_BUILD_DECORATIONS: yes
KWIN_BUILD_TABBOX: yes
KWIN_BUILD_ACTIVITIES: yes
HAVE_DRM: yes
HAVE_GBM: yes
HAVE_EGL_STREAMS: yes
HAVE_X11_XCB: yes
HAVE_EPOXY_GLX: yes
HAVE_WAYLAND_EGL: yes

X11
===
Vendor: The X.Org Foundation
Vendor Release: 12013000
Protocol Version/Revision: 11/0
SHAPE: yes; Version: 0x11
RANDR: yes; Version: 0x14
DAMAGE: yes; Version: 0x11
Composite: yes; Version: 0x4
RENDER: yes; Version: 0xb
XFIXES: yes; Version: 0x50
SYNC: yes; Version: 0x31
GLX: yes; Version: 0x0

Decoration
==========
Plugin: org.kde.breeze
Theme: 
Plugin recommends border size: None
Blur: 0
onAllDesktopsAvailable: true
alphaChannelSupported: true
closeOnDoubleClickOnMenu: false
decorationButtonsLeft: 0
decorationButtonsRight: 3, 4, 5
borderSize: 3
gridUnit: 10
font: Noto Sans,10,-1,0,50,0,0,0,0,0
smallSpacing: 2
largeSpacing: 10

Platform
==========
Name: KWin::X11StandalonePlatform

Cursor
======
themeName: breeze_cursors
themeSize: 24

Options
=======
focusPolicy: 0
xwaylandCrashPolicy: 
xwaylandMaxCrashCount: 3
nextFocusPrefersMouse: false
clickRaise: true
autoRaise: false
autoRaiseInterval: 0
delayFocusInterval: 0
shadeHover: false
shadeHoverInterval: 250
separateScreenFocus: false
placement: 4
focusPolicyIsReasonable: true
borderSnapZone: 10
windowSnapZone: 10
centerSnapZone: 0
snapOnlyWhenOverlapping: false
rollOverDesktops: true
focusStealingPreventionLevel: 1
operationTitlebarDblClick: 5000
operationMaxButtonLeftClick: 5000
operationMaxButtonMiddleClick: 5015
operationMaxButtonRightClick: 5014
commandActiveTitlebar1: 0
commandActiveTitlebar2: 28
commandActiveTitlebar3: 2
commandInactiveTitlebar1: 4
commandInactiveTitlebar2: 28
commandInactiveTitlebar3: 2
commandWindow1: 7
commandWindow2: 8
commandWindow3: 8
commandWindowWheel: 28
commandAll1: 28
commandAll2: 3
commandAll3: 14
keyCmdAllModKey: 16777251
showGeometryTip: false
condensedTitle: false
electricBorderMaximize: true
electricBorderTiling: true
electricBorderCornerRatio: 0.25
borderlessMaximizedWindows: false
killPingTimeout: 5000
hideUtilityWindowsForInactive: true
compositingMode: 1
useCompositing: true
hiddenPreviews: 1
glSmoothScale: 2
xrenderSmoothScale: false
glStrictBinding: true
glStrictBindingFollowsDriver: true
glCoreProfile: false
glPreferBufferSwap: 101
glPlatformInterface: 1
windowsBlockCompositing: true
latencyPolicy: 
renderTimeEstimator: 

Screen Edges
============
desktopSwitching: false
desktopSwitchingMovingClients: false
cursorPushBackDistance: 1x1
timeThreshold: 150
reActivateThreshold: 350
actionTopLeft: 0
actionTop: 0
actionTopRight: 0
actionRight: 0
actionBottomRight: 0
actionBottom: 0
actionBottomLeft: 0
actionLeft: 0

Screens
=======
Multi-Head: no
Active screen follows mouse:  no
Number of Screens: 2

Screen 0:
---------
Name: DVI-D-0
Geometry: 0,0,1920x1080
Scale: 1
Refresh Rate: 119.982
Screen 1:
---------
Name: DisplayPort-2
Geometry: 1920,180,1600x900
Scale: 1
Refresh Rate: 59.978

Compositing
===========
Compositing is active
Compositing Type: OpenGL
OpenGL vendor string: AMD
OpenGL renderer string: Radeon RX 570 Series (POLARIS10, DRM 3.41.0, 5.13.13-zen1-1-zen, LLVM 12.0.1)
OpenGL version string: 4.6 (Compatibility Profile) Mesa 21.2.1
OpenGL platform interface: GLX
OpenGL shading language version string: 4.60
Driver: RadeonSI
GPU class: Arctic Islands
OpenGL version: 4.6
GLSL version: 4.60
Mesa version: 21.2.1
X server version: 1.20.13
Linux kernel version: 5.13.13
Direct rendering: Requires strict binding: yes
GLSL shaders:  yes
Texture NPOT support:  yes
Virtual Machine:  no
OpenGL 2 Shaders are used

Loaded Effects:
---------------
kwin4_effect_translucency
kwin4_effect_windowaperture
kwin4_effect_squash
kwin4_effect_sessionquit
zoom
kwin4_effect_morphingpopups
kwin4_effect_maximize
kwin4_effect_logout
kwin4_effect_login
kwin4_effect_fullscreen
kwin4_effect_frozenapp
kwin4_effect_fadingpopups
kwin4_effect_fade
kwin4_effect_dialogparent
slidingpopups
screenshot
desktopgrid
colorpicker
presentwindows
highlightwindow
blur
contrast
startupfeedback
screenedge
kscreen

Currently Active Effects:
-------------------------
blur
contrast

Effect Settings:
----------------
kwin4_effect_translucency:
pluginId: kwin4_effect_translucency
isActiveFullScreenEffect: false

kwin4_effect_windowaperture:
pluginId: kwin4_effect_windowaperture
isActiveFullScreenEffect: false

kwin4_effect_squash:
pluginId: kwin4_effect_squash
isActiveFullScreenEffect: false

kwin4_effect_sessionquit:
pluginId: kwin4_effect_sessionquit
isActiveFullScreenEffect: false

zoom:
zoomFactor: 1.2
mousePointer: 0
mouseTracking: 0
focusTrackingEnabled: false
textCaretTrackingEnabled: false
focusDelay: 350
moveFactor: 20
targetZoom: 1

kwin4_effect_morphingpopups:
pluginId: kwin4_effect_morphingpopups
isActiveFullScreenEffect: false

kwin4_effect_maximize:
pluginId: kwin4_effect_maximize
isActiveFullScreenEffect: false

kwin4_effect_logout:
pluginId: kwin4_effect_logout
isActiveFullScreenEffect: false

kwin4_effect_login:
pluginId: kwin4_effect_login
isActiveFullScreenEffect: false

kwin4_effect_fullscreen:
pluginId: kwin4_effect_fullscreen
isActiveFullScreenEffect: false

kwin4_effect_frozenapp:
pluginId: kwin4_effect_frozenapp
isActiveFullScreenEffect: false

kwin4_effect_fadingpopups:
pluginId: kwin4_effect_fadingpopups
isActiveFullScreenEffect: false

kwin4_effect_fade:
pluginId: kwin4_effect_fade
isActiveFullScreenEffect: false

kwin4_effect_dialogparent:
pluginId: kwin4_effect_dialogparent
isActiveFullScreenEffect: false

slidingpopups:
slideInDuration: 150
slideOutDuration: 250

screenshot:

desktopgrid:
zoomDuration: 300
border: 10
desktopNameAlignment: 0
layoutMode: 0
customLayoutRows: 2
usePresentWindows: true

colorpicker:

presentwindows:
layoutMode: 0
showCaptions: true
showIcons: true
doNotCloseWindows: false
ignoreMinimized: false
accuracy: 20
fillGaps: true
fadeDuration: 150
showPanel: true
leftButtonWindow: 1
rightButtonWindow: 2
middleButtonWindow: 0
leftButtonDesktop: 2
middleButtonDesktop: 0
rightButtonDesktop: 0

highlightwindow:

blur:

contrast:

startupfeedback:
type: 1

screenedge:

kscreen:


Loaded Plugins:
---------------
kwin5_plugin_krunner
kwin5_plugin_nightcolor

Available Plugins:
------------------
kwin5_plugin_colord
kwin5_plugin_krunner
kwin5_plugin_nightcolor
Comment 21 Andrew Simmons 2021-09-02 01:32:45 UTC
Correction, my CPU is actually: Intel(R) Core(TM) i7-3770K CPU @ 3.50GHz
Comment 22 Nate Graham 2021-09-08 21:12:04 UTC
*** Bug 442111 has been marked as a duplicate of this bug. ***
Comment 23 Joe 2021-09-14 01:01:50 UTC
Also, think I am seeing this bug on Arch. Attaching a screenshot of a Zoom meeting that got "burned" burned into my secondary monitor (blanked out the various people/names, of course). Also, note that in this instance it is only on my one virtual desktop it is stuck on. I have also in the past where it gets stuck on more than one virtual desktop (but always on either the primary or secondary monitors, not both).

This one is also kind of odd - I have been out for a bit, and haven't used the laptop in over a week. The zoom meeting in question was not burned in this morning when I resumed it from sleep (that I can remember). Curiously, the meeting, based on participants, was from over a week ago so I have no idea how it is now just got stuck (unless maybe it was stuck on a different desktop and moved?). Also put this last part with a grain of salt as I am just getting over being rather sick, so perhaps my mind is playing tricks.


Plasma 5.22.5
Frameworks 5.86.0
QT 5.15.2
X11
Nvidia 470.63.01

Note: Optimus laptop, so, using Intel as the primary driver and the official Nvidia binary support.
Comment 24 Joe 2021-09-14 01:02:37 UTC
Created attachment 141529 [details]
Ghost Image

example of ghost image (that cannot be interacted with/closed/etc)
Comment 25 Nate Graham 2021-09-14 15:07:03 UTC
*** Bug 442111 has been marked as a duplicate of this bug. ***
Comment 26 Erik Ridderby 2021-09-16 15:20:27 UTC
I have this problem as well under gentoo (KDE is unstable == latest available). 

It occurs quite a lot but mostly to own developed Qt apps during dev/test (pure Qt, no KDE) and a Gtk Eclipse RCP Java based Archi. 

I use activities and virtual desktops heavily in combination with 3 screens. 

I have a Radeon PRO WX 3100 card.
Comment 27 Nate Graham 2021-10-13 03:58:12 UTC
Vlad's patch (https://codereview.qt-project.org/c/qt/qtdeclarative/+/376014) has been merged, so this is officially fixed in Qt. We'll see about backporting the fix to the KDE patch collection for Qt 5.15 in https://invent.kde.org/qt/qt/qtdeclarative/-/merge_requests/8.
Comment 28 Nate Graham 2021-11-10 17:00:37 UTC
*** Bug 445261 has been marked as a duplicate of this bug. ***
Comment 29 Martin van Es 2022-01-11 10:44:37 UTC
I'm on
libkf5plasma5 5.90.0-0ubuntu1~ubuntu21.10~ppa1
kwin-x11 4:5.23.5-0ubuntu1~ubuntu21.10~ppa1
libqt5qml5 5.15.2+dfsg-8
             (from Kubuntu 21.10 + backports)

and I still see this problem. Is this expected given these versions or did the mentioned Qt 5.15 merge fail to fix this bug?
Comment 30 Vlad Zahorodnii 2022-01-11 10:56:33 UTC
(In reply to Martin van Es from comment #29)
> and I still see this problem. Is this expected given these versions or did
> the mentioned Qt 5.15 merge fail to fix this bug?

I haven't seen similar bug reports. Are you sure that kubuntu ships qtdeclarative with the fix?
Comment 31 Martin van Es 2022-01-11 11:00:31 UTC
How would I know (for sure)?

# dpkg -l | grep declarative
ii  libkf5declarative-data                        5.90.0-0ubuntu1~ubuntu21.10~ppa1             all          provides integration of QML and KDE frameworks
ii  libkf5declarative5:amd64                  5.90.0-0ubuntu1~ubuntu21.10~ppa1            amd64 provides integration of QML and KDE frameworks
Comment 32 Vlad Zahorodnii 2022-01-12 13:35:22 UTC
(In reply to Martin van Es from comment #31)
> How would I know (for sure)?
Sorry, I can't answer that question because I'm not familiar with packaging conventions in debian-based distros.
Comment 33 Nate Graham 2022-03-22 02:35:34 UTC
*** Bug 450997 has been marked as a duplicate of this bug. ***
Comment 34 Martin van Es 2022-04-07 06:54:12 UTC
Last weekend I made the early jump to kubuntu 22.04 and have enabled translucency again.
I haven't seen the ghosting problem since, so it seems to be solved in 22.04.
Comment 35 rongfei 2024-03-18 07:05:52 UTC
I still see this problem on openKylin 1.0.1, and i checked the mentioned patch has been merge to the vendor's version of qtdeclarative.
Comment 36 Vlad Zahorodnii 2024-03-18 09:50:00 UTC
Given that we have not received new bug reports, I'm inclined towards that it might be a distro problem. If you're pretty sure that the issue is still reproducible in Plasma 6.0, please open a new bug report and provide some reproducer.
Comment 37 kevinfdezdominguez 2024-04-27 12:16:45 UTC
I can confirm that this bug still exists, for me It happens regularly (maybe a 50/50 chance) with the game Noita (runs through wine), which minimizes when it looses focus and is in fullscreen.
Comment 38 Nate Graham 2024-04-29 15:13:44 UTC
This is a fairly old bug report and the code has changed a lot since it was reported. There's a very good chance the issue you're experiencing is caused by something else, even if the outward symptoms look and feel the same. Can you please submit a new bug report? Thank you!